%global npm_name jsprim
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.0
Release: %mkrel 5
Summary: utilities for primitive JavaScript types
License: MIT
Group: Development/Other
URL: https://github.com/joyent/node-jsprim#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus)
Requires: npm(extsprintf)
Requires: npm(json-schema)
Requires: npm(verror)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep extsprintf ">=1.4.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc CONTRIBUTING.md
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.0.0-5.mga9
+ Revision: 1818536
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-4.mga8
+ Revision: 1502944
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-3.mga7
+ Revision: 1280547
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 2.0.0-2.mga7
+ Revision: 1231636
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1227009
- imported package nodejs-jsprim

